Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602947 - xdotool uses wrong type for pid in debug trace
xdotool uses wrong type for pid in debug trace
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdotool (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 01:47 EDT by Bruce Jerrick
Modified: 2011-06-27 13:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for xdotool pid type (1.36 KB, application/octet-stream)
2010-06-11 01:47 EDT, Bruce Jerrick
no flags Details

  None (edit)
Description Bruce Jerrick 2010-06-11 01:47:07 EDT
Created attachment 423145 [details]
Patch for xdotool pid type

Description of problem:
A debug trace in xdotool's xdo_search.c uses the wrong printf type for the
'pid' member of struct xdo_search .  (The statement is commented out, but
if enabled, will produce a compiler warning.)

Version-Release number of selected component (if applicable):
xdotool-1.20100227.2679-1.fc13.src.rpm

How reproducible:
100%

Steps to Reproduce:
1. Enable printf traces at the beginning of xdo_window_search() in
   xdo_search.c (remove // comment delimiters).
2. make xdo_search.o
  
Actual results:
xdo_search.c: In function ‘xdo_window_search’:
xdo_search.c:55: warning: format ‘%lu’ expects type ‘long unsigned int’,
  but argument 3 has type ‘int’

Expected results:
No compiler warnings.

Additional info:
The pid member declaration in xdo.h really should be type pid_t .
Mr. Posix says "pid_t ... shall be signed integer types", so %d in
  printf is correct regardless of native int size.
A patch (xdotool-pid-type.patch) is included as an attachment.

It would also be better if those traces went to stderr, not stdout.
Comment 1 Bruce Jerrick 2010-06-11 01:58:40 EDT
I may have gotten the wrong patch description; but the patch itself
is the correct one.
Comment 2 Sven Lankes 2010-06-11 13:54:27 EDT
Issues like this are really much better kept in the upstream bug-tracker.

Could you please file this with $UPSTREAM @ http://code.google.com/p/semicomplete/issues/list ?

I could file it but then I would have to be the man in the middle for all following discussion.
Comment 3 Bug Zapper 2011-06-02 07:15:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:59:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.